#
# spec file for package libmd
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sover    0
Name:           libmd
Version:        1.0.0
Release:        lp151.2.2
Summary:        Message digest functions from BSD systems
License:        BSD-2-Clause OR BSD-3-Clause OR ISC OR SUSE-Public-Domain
Group:          Development/Languages/C and C++
URL:            https://www.hadrons.org/software/libmd/
Source0:        https://archive.hadrons.org/software/libmd/libmd-%{version}.tar.xz
Source1:        https://archive.hadrons.org/software/libmd/libmd-%{version}.tar.xz.asc
Source2:        %{name}.keyring
BuildRequires:  pkgconfig

%description
The libmd library provides a few message digest ("hash") functions, as
found on various BSDs on a library with the same name and with a compatible
API.

%package -n %{name}%{sover}
Summary:        Provides message digest functions from BSD systems
Group:          System/Libraries

%description -n %{name}%{sover}
The libmd library provides a few message digest ("hash") functions, as
found on various BSDs on a library with the same name and with a compatible
API.

Digests supported: MD2/4/5, RIPEMD160, SHA1, SHA2-256/384/512.

%package devel
Summary:        Provides message digest functions from BSD systems
Group:          Development/Languages/C and C++
Requires:       %{name}%{sover} = %{version}

%description devel
The libmd library provides a few message digest ("hash") functions, as
found on various BSDs on a library with the same name and with a compatible
API.

Digests supported: MD2/4/5, RIPEMD160, SHA1, SHA2-256/384/512.

%prep
%setup -q

%build
%configure \
  --disable-static \
  --disable-silent-rules
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%check
make %{?_smp_mflags} check

%post -n %{name}%{sover} -p /sbin/ldconfig
%postun -n %{name}%{sover} -p /sbin/ldconfig

%files -n %{name}%{sover}
%doc COPYING
%{_libdir}/%{name}.so.%{sover}*

%files devel
%doc ChangeLog COPYING README
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libmd.pc
%{_mandir}/man3/*.3%{ext_man}

%changelog
* Fri Feb  2 2018 mpluskal@suse.com
- Update to version 1.0.0:
  * build: Drop GCC specific compiler flag -include
  * build: Detect version script linker support at configure time
  * build: Use an export symbols file if there is no version script
    support
  * build: Do not override the default DEPENDENCIES for libmd
  * Stop using non-portable <sys/param.h>
  * Remove unused __RCSID macro usage
  * Remove unused NEWS file
  * Stop using non-portable <sys/cdefs.h>
  * build: Add -no-undefined libtool flag
  * build: Stop checking for malloc() and memset()
  * build: Switch to AC_C_BIGENDIAN defining WORD_BIGENDIAN
* Thu Jul 21 2016 jengelh@inai.de
- Description update
* Sun Jul 10 2016 mpluskal@suse.com
- Initial package for version 0.0.0
